<?php

namespace App\Models;

use Eloquent as Model;

/**
 * Class BoardCollaborators
 * @package App\Models
 * @version July 21, 2022, 12:15 pm UTC
 *
 */
class BoardSwimlanes extends Model
{

    public $table = 'board_swimlanes';


    public function board()
    {
        return $this->belongsTo(Boards::class, 'board_id', 'id');
    }

    public function tasks()
    {
        return $this->hasMany(BoardTasks::class, 'kb_swimlane_id', 'swimlane_id');
    }
}